<?php
if (!defined('WPINC')) {
    die();
}

$default_rows = 4;
$default_cols = 50;

$default_class = 'estatebud-textarea-field ';
$id = 'estatebud-textarea-field ';

if (isset($extra_class) && !empty($extra_class)) {
    $default_class .= ' ' . $extra_class;
}

if (isset($extra_id) && !empty($extra_id)) {
    $id .= ' ' . $extra_id;
}

if (isset($rows)) {
    $default_rows = $rows;
}

if (isset($cols)) {
    $default_cols = $cols;
}
?>
<textarea id="<?php echo esc_attr($id); ?>" class="<?php echo esc_attr($default_class); ?>" name="<?php echo esc_attr($variable_name ?? ''); ?>" rows="<?php echo esc_attr($default_rows); ?>" cols="<?php echo esc_attr($default_cols); ?>"><?php echo esc_textarea(
    $textarea_content ?? '',
); ?></textarea>